# Webhook Payload

All payloads will contain the following common properties, but the contents and structure of each payload varies depending on the event, you are subscribed to. Refer to each [event’s reference document](/docs/apis/tickets/reference/events.md) to see which fields will be included.

Example:

```json
{
    "CommunityName": "communityName",
    "EventType": "event_name",
    "Events": [],
    "TicketId": 0
}
```

| Field         | Type    | Comments                                                                                           |
| ------------- | ------- | -------------------------------------------------------------------------------------------------- |
| CommunityName | string  | Name of the socialboards inbox in which the tickets, replies and notes enters the system           |
| Event type    | string  | Type of happened event. See [Events](/docs/apis/tickets/reference/events.md) page for more details |
| Events        | Array   | Event payload (structure depends on event type)                                                    |
| TicketId      | integer | Id of a ticket caused this event.                                                                  |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.socialboards.com/docs/apis/tickets/reference/webhook-payload.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
